VREDeploymentView (VRE Manager Portlet 3.0.0-SNAPSHOT API)
Date: 2013-10-18

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.portlets.admin.vredeployment.client.view
Class VREDeploymentView

    java.lang.Object
      com.google.gwt.user.client.ui.UIObject
          com.google.gwt.user.client.ui.Widget
              com.google.gwt.user.client.ui.Composite
                  org.gcube.portlets.admin.vredeployment.client.view.VREDeploymentView

All Implemented Interfaces:
  com.google.gwt.event.logical.shared.HasAttachHandlers, com.google.gwt.event.shared.HasHandlers, com.google.gwt.user.client.EventListener, com.google.gwt.user.client.ui.HasVisibility, com.google.gwt.user.client.ui.IsRenderable, com.google.gwt.user.client.ui.IsWidget, Display

    public class VREDeploymentView

extends com.google.gwt.user.client.ui.Composite
implements Display

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject
`com.google.gwt.user.client.ui.UIObject.DebugIdImpl, com.google.gwt.user.client.ui.UIObject.DebugIdImplEnabled`

Field Summary

Fields inherited from class com.google.gwt.user.client.ui.UIObject
`DEBUG_ID_PREFIX`

Constructor Summary
`VREDeploymentView()`

Method Summary
`com.google.gwt.user.client.ui.Widget` | `asWidget()`
`void` | `enableActionButtons(VREDefinitionBean selectedItem)` change the button to enable in the bottom bar depending on the status of the selected VRE
`com.extjs.gxt.ui.client.widget.button.Button` | `getApproveButton()`
`com.extjs.gxt.ui.client.widget.menu.MenuItem` | `getApproveMenu()`
`com.extjs.gxt.ui.client.widget.button.Button` | `getEditButton()`
`com.extjs.gxt.ui.client.widget.menu.MenuItem` | `getEditMenu()`
`com.extjs.gxt.ui.client.widget.grid.GridSelectionModel<VREDefinitionBean>` | `getGridSelectionModel()`
`com.extjs.gxt.ui.client.widget.button.Button` | `getRefreshButton()`
`com.extjs.gxt.ui.client.widget.button.Button` | `getRemoveButton()`
`com.extjs.gxt.ui.client.widget.menu.MenuItem` | `getRemoveMenu()`
`com.extjs.gxt.ui.client.widget.button.Button` | `getViewButton()`
`com.extjs.gxt.ui.client.widget.menu.MenuItem` | `getViewMenu()`
`com.extjs.gxt.ui.client.widget.button.Button` | `getViewReportButton()`
`com.extjs.gxt.ui.client.widget.menu.MenuItem` | `getViewReportMenu()`
`com.extjs.gxt.ui.client.widget.button.Button` | `getViewTextualReportButton()`
`void` | `maskCenterPanel(String message, boolean mask)`
`void` | `setData(List<VREDefinitionBean> data)`
`void` | `setGridContextMenu(String vreStatus)` change the items to show in the menu depending on the status of the selected VRE
`void` | `showDetailsDialog(String html2Show)`
`void` | `updateSize()`

Methods inherited from class com.google.gwt.user.client.ui.Composite
`claimElement, getWidget, initializeClaimedElement, initWidget, isAttached, onAttach, onBrowserEvent, onDetach, render, render, resolvePotentialElement, setWidget`

Methods inherited from class com.google.gwt.user.client.ui.Widget
`addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidgetOrNull, createHandlerManager, delegateEvent, doAttachChildren, doDetachChildren, fireEvent, getHandlerCount, getLayoutData, getParent, isOrWasAttached, onLoad, onUnload, removeFromParent, setLayoutData, sinkEvents`

Methods inherited from class com.google.gwt.user.client.ui.UIObject
`addStyleDependentName, addStyleName, ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getElement, getOffsetHeight, getOffsetWidth, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, getTitle, isVisible, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, setElement, setElement, setHeight, setPixelSize, setSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setTitle, setVisible, setVisible, setWidth, sinkBitlessEvent, toString, unsinkEvents`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### VREDeploymentView

    public VREDeploymentView()

Method Detail

### maskCenterPanel

    public void maskCenterPanel(String message,
                                boolean mask)

  Specified by:
    `maskCenterPanel` in interface `Display`

### setData

    public void setData(List<VREDefinitionBean> data)

  Specified by:
    `setData` in interface `Display`

### asWidget

    public com.google.gwt.user.client.ui.Widget asWidget()

  Specified by:
    `asWidget` in interface `com.google.gwt.user.client.ui.IsWidget`
  Specified by:
    `asWidget` in interface `Display`
  Overrides:
    `asWidget` in class `com.google.gwt.user.client.ui.Widget`

### updateSize

    public void updateSize()

  Specified by:
    `updateSize` in interface `Display`

### enableActionButtons

    public void enableActionButtons(VREDefinitionBean selectedItem)

  change the button to enable in the bottom bar depending on the status of the selected VRE

  Specified by:
    `enableActionButtons` in interface `Display`

### showDetailsDialog

    public void showDetailsDialog(String html2Show)

  Specified by:
    `showDetailsDialog` in interface `Display`

### setGridContextMenu

    public void setGridContextMenu(String vreStatus)

  change the items to show in the menu depending on the status of the selected VRE

  Specified by:
    `setGridContextMenu` in interface `Display`

### getApproveButton

    public com.extjs.gxt.ui.client.widget.button.Button getApproveButton()

  Specified by:
    `getApproveButton` in interface `Display`

### getEditButton

    public com.extjs.gxt.ui.client.widget.button.Button getEditButton()

  Specified by:
    `getEditButton` in interface `Display`

### getGridSelectionModel

    public com.extjs.gxt.ui.client.widget.grid.GridSelectionModel<VREDefinitionBean> getGridSelectionModel()

  Specified by:
    `getGridSelectionModel` in interface `Display`

### getRefreshButton

    public com.extjs.gxt.ui.client.widget.button.Button getRefreshButton()

  Specified by:
    `getRefreshButton` in interface `Display`

### getRemoveButton

    public com.extjs.gxt.ui.client.widget.button.Button getRemoveButton()

  Specified by:
    `getRemoveButton` in interface `Display`

### getViewButton

    public com.extjs.gxt.ui.client.widget.button.Button getViewButton()

  Specified by:
    `getViewButton` in interface `Display`

### getViewReportButton

    public com.extjs.gxt.ui.client.widget.button.Button getViewReportButton()

  Specified by:
    `getViewReportButton` in interface `Display`

### getViewTextualReportButton

    public com.extjs.gxt.ui.client.widget.button.Button getViewTextualReportButton()

  Specified by:
    `getViewTextualReportButton` in interface `Display`

### getApproveMenu

    public com.extjs.gxt.ui.client.widget.menu.MenuItem getApproveMenu()

  Specified by:
    `getApproveMenu` in interface `Display`

### getEditMenu

    public com.extjs.gxt.ui.client.widget.menu.MenuItem getEditMenu()

  Specified by:
    `getEditMenu` in interface `Display`

### getRemoveMenu

    public com.extjs.gxt.ui.client.widget.menu.MenuItem getRemoveMenu()

  Specified by:
    `getRemoveMenu` in interface `Display`

### getViewMenu

    public com.extjs.gxt.ui.client.widget.menu.MenuItem getViewMenu()

  Specified by:
    `getViewMenu` in interface `Display`

### getViewReportMenu

    public com.extjs.gxt.ui.client.widget.menu.MenuItem getViewReportMenu()

  Specified by:
    `getViewReportMenu` in interface `Display`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.